From 69f07aad02ccb88bb35f0f596f0dfec5f2b70294 Mon Sep 17 00:00:00 2001
From: Lionel Gauthier <lionel.gauthier@eurecom.fr>
Date: Tue, 21 Jan 2014 16:32:21 +0000
Subject: [PATCH] Should be good.

git-svn-id: http://svn.eurecom.fr/openair4G/trunk@4925 818b1a75-f10b-46b9-bf7c-635c3b92a50f
---
 openair-cn/SCRIPTS/start_lte-enb-ovs.bash | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/openair-cn/SCRIPTS/start_lte-enb-ovs.bash b/openair-cn/SCRIPTS/start_lte-enb-ovs.bash
index fbda43401d..b93d4e91ce 100755
--- a/openair-cn/SCRIPTS/start_lte-enb-ovs.bash
+++ b/openair-cn/SCRIPTS/start_lte-enb-ovs.bash
@@ -84,11 +84,11 @@ fi
 #######################################################
 # USIM, NVRAM files
 #######################################################
-if [ ! -f $OPENAIRCN_DIR/bin/ue_data ]; then
+if [ ! -f $OPENAIRCN_DIR/NAS/EURECOM-NAS/bin/ue_data ]; then
     make --directory=$OPENAIRCN_DIR/NAS/EURECOM-NAS veryveryclean
     make --directory=$OPENAIRCN_DIR/NAS/EURECOM-NAS PROCESS=UE
 fi
-if [ ! -f $OPENAIRCN_DIR/bin/usim_data ]; then
+if [ ! -f $OPENAIRCN_DIR/NAS/EURECOM-NAS/bin/usim_data ]; then
     make --directory=$OPENAIRCN_DIR/NAS/EURECOM-NAS veryveryclean
     make --directory=$OPENAIRCN_DIR/NAS/EURECOM-NAS PROCESS=UE
 fi
@@ -136,7 +136,11 @@ assert "  `sysctl -n net.ipv4.conf.all.rp_filter` -eq 0" $LINENO
 
 bash_exec "ip route flush cache"
 
-# please add table 200 lte in/etc/iproute2/rt_tables
+# Check table 200 lte in /etc/iproute2/rt_tables
+fgrep lte /etc/iproute2/rt_tables
+if [ $? -ne 0 ]; then
+    echo "200 lte " >> /etc/iproute2/rt_tables
+fi
 ip rule add fwmark 5 table lte
 ip route add default dev $LTEIF table lte
 
-- 
GitLab